FROM golang:1-alpine as gobuild

RUN apk add --no-cache git

WORKDIR /go/src/srs.epita.fr/fic-server/

COPY go.mod go.sum ./
COPY settings settings/
COPY evdist ./evdist/

RUN go get -d -v ./evdist && \
    go build -v -buildvcs=false -o evdist/evdist ./evdist


FROM alpine:3.18

WORKDIR /srv

ENTRYPOINT ["/srv/evdist"]

COPY --from=gobuild /go/src/srs.epita.fr/fic-server/evdist/evdist /srv/evdist
